import { getLog } from './get-log';

const dispose = async pool => {
  const log = getLog('dispose');
  log.debug(`disposing the event store`);

  if (pool.connection) {
    await pool.connection.end();
    pool.connection = undefined;
  }

  log.debug(`the event store disposed`);
};

export default dispose;
//# sourceMappingURL=dispose.js.map